std::length_error Class Reference
Exceptions
Inheritance diagram for std::length_error:
[legend]

## Public Member Functions

| length_error (const string &__arg)
virtual const char * | what () const noexcept

## Detailed Description

Thrown when an object is constructed that would exceed its maximum permitted size (e.g., a basic_string instance).

Definition at line 91 of file stdexcept.

## Member Function Documentation

virtual const char* std::logic_error::what | ( |  | ) | const

virtualnoexceptinherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

The documentation for this class was generated from the following file:

- stdexcept